Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 13 Mar 2022 04:35:38 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I bought a bunk bed from Shuwaikh store and the agent told me that I should pay 10 KD for delivery and I scheduled a collect date from the same store to be tomorrow.

I checked online and found that the same item is eligible for free delivery and assembly!!

I want to know where this discrepancy came from as I would cancel the order for this reason. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4015356